# NetworkInterface class

A NetworkInterface represents an active network interface on the current system. It contains a list of InternetAddresses that are bound to the interface.

## Constructors

NetworkInterface()

## Properties

addresses → List<InternetAddress>
  Get a list of InternetAddresses currently bound to this NetworkInterface.
  read-only
index → int
  Get the index of the NetworkInterface.
  read-only
name → String
  Get the name of the NetworkInterface.
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Properties

listSupported → bool
  Whether list is supported. [...]
  read-only

## Static Methods

list({bool includeLoopback: false, bool includeLinkLocal: false, InternetAddressType type: InternetAddressType.any }) → Future<List<NetworkInterface>>
  Query the system for NetworkInterfaces. [...]